Coupon
DELETE
/coupons/{coupon_id}Delete Coupons
Delete a coupon. Propagates to Stripe via the CouponAdapter.
Requires: Bearer token, X-Country header.
Request
Example
curl -X DELETE 'https://api.paycose.com/api/v1/app1/platform/wallet/coupons/{{coupon_id}}' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request. |
Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"location": "<string>",
"object": "<string>",
"message": "<string>",
"id": "<string>"
}400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}